﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProgrammingPatterns.DesignPatterns.Creational.Builder
{
    public class Programmer
    {
        public SoftwareBuilder Builder { get; set; }
        public Software Software { get { return Builder.Software; } }

        public void BuildSoftware()
        {
            Builder.BuildName();
            Builder.BuildDatabase();
            Builder.BuildBusinessLogic();
            Builder.BuildGraphicalInterface();
        }
    }
}
