﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProgrammingPatterns.DesignPatterns.Creational.Builder
{
    public class WebSoftwareBuilder : SoftwareBuilder
    {

        public override void BuildName()
        {
            Software.Name = "Demo MVC application";
        }

        public override void BuildGraphicalInterface()
        {
            Software.GraphicalInterface = "ASP NET MVC";
        }

        public override void BuildDatabase()
        {
            Software.Database = "SQL Server 2008";
        }

        public override void BuildBusinessLogic()
        {
            Software.BuisnessLogic = "Data entry only logic";
        }
    }

}
