﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProgrammingPatterns.DesignPatterns.Creational.Builder
{
    public class WinformsSoftwareBuilder : SoftwareBuilder
    {

        public override void BuildName()
        {
            Software.Name = "Reporting  application";
        }

        public override void BuildGraphicalInterface()
        {
            Software.GraphicalInterface = "Winforms, ClickOnce";
        }

        public override void BuildDatabase()
        {
            Software.Database = "SQL Server 2005";
        }

        public override void BuildBusinessLogic()
        {
            Software.BuisnessLogic = "Complex business logic";
        }
    }

}
