﻿namespace ProgrammingPatterns.DesignPatterns.Creational.Prototype
{
    /// <summary>
    /// Prototype client class
    /// </summary>
   public class CountryClient : Prototype<Country>
    {
        /// <summary>
        /// Overview over comparision between two prototype objects
        /// </summary>
       /// <param name="a">Country a.</param>
        /// <param name="b">Country b.</param>
        /// <returns></returns>
        public string Report(Country a, Country b)
        {
            return string.Format("Prototype:{0} :: Clone:{1}", a, b);
        }
    }
}