﻿using System;
using System.Collections.Generic;

namespace ProgrammingPatterns.DesignPatterns.Creational.Prototype
{
    /// <summary>
    /// Prototypes manager class
    /// </summary>
    [Serializable]
    public class CountryManager : Prototype<Country>
    {
        /// <summary>
        /// Gets or sets a list of prototypes.
        /// </summary>
        /// <value>The list of countries.</value>
        public Dictionary<string, Country> Countries { get; set; }
    }
}
